/*
 * Created on 03-dic-2004
 *
 * Code of the ViewBatt agent
 */
package agents;


import gui.*;
import alice.tucson.api.*;
import alice.logictuple.*;

public class ViewBattAgent extends Agent {

    /**
     * @author Pazzaglia Marco
     * @version 1.0
     */
    private static GuiSwing myGui = new GuiSwing();
    
    TupleCentreId Tid;
    
    /**
     * Default constructor of the class
     * @param arg0 AgentId - the id of the Agent
     * @param gui the gui used
     * @param tid the tuple center used
     * @throws TucsonException
     */
    public ViewBattAgent(AgentId arg0, GuiSwing gui, TupleCentreId tid) throws TucsonException {
        super(arg0);
        myGui = gui;
        Tid = tid;
    }

    public void body(){ 
        String[] fieldToSend = new String[10];
        while (true){
        try { 
        LogicTuple Battery = in(Tid, new LogicTuple("battery",
				new Var("Data"),
				new Var("BatteryStatus")));
        
        fieldToSend[0]= Battery.getArg(1).toString();
        
        if (Battery==null){} else { 
            myGui.setField(14, fieldToSend);
            myGui.updatePacketCount();
            myGui.updateCurrentPacketTime(Battery.getArg(0).toString());
            }
        } catch (Exception ex){System.out.println(ex);}
    }
    }
}
