/*
 * Created on 03-dic-2004
 *
 * Code of the ViewRain agent
 */
package agents;


import gui.*;
import alice.tucson.api.*;
import alice.logictuple.*;

public class ViewRainAgent extends Agent {
    
    /**
     * @author Pazzaglia Marco
     * @version 1.0
     */
    private static GuiSwing myGui = new GuiSwing();
    TupleCentreId Tid;
    
    /**
     * Default constructor of the class
     * @param arg0 AgentId - the id of the Agent
     * @param gui the gui used
     * @param tid the tuple center used
     * @throws TucsonException
     */
    public ViewRainAgent(AgentId arg0, GuiSwing gui, TupleCentreId tid) throws TucsonException {
        super(arg0);
        myGui = gui;
        Tid = tid;
    }

    public void body(){ 
        String[] fieldToSend = new String[10];
        while (true){
        try { 
        LogicTuple Pioggia = in(Tid, new LogicTuple("pioggia",
				new Var("Data"),
				new Var("RainRate"),
				new Var("RainTotal"),
				new Var("RainTotalYest")));
        
        fieldToSend[0]= Pioggia.getArg(1).toString();
        fieldToSend[1]= Pioggia.getArg(2).toString();
        fieldToSend[2]= Pioggia.getArg(3).toString();
        
        if (Pioggia==null){} else { 
            myGui.setField(2, fieldToSend);
            myGui.updatePacketCount();
            myGui.updateCurrentPacketTime(Pioggia.getArg(0).toString());
            }
        
        } catch (Exception ex){System.out.println(ex);}
    }
    }
}
