package gui;

import javax.swing.*;
import javax.swing.BorderFactory;
import javax.swing.border.BevelBorder;
import javax.swing.JPanel;
import javax.swing.border.TitledBorder;
import de.progra.charting.swing.*;
import de.progra.charting.event.*;
import de.progra.charting.model.*;
import de.progra.charting.render.*;
import de.progra.charting.*;
import javax.swing.JButton;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import javax.swing.border.SoftBevelBorder;
import javax.swing.JProgressBar;
import javax.swing.JTextField;
import javax.swing.JLabel;
import javax.swing.ImageIcon;
import java.awt.BorderLayout;


/**
* This code was generated using CloudGarden's Jigloo
* SWT/Swing GUI Builder, which is free for non-commercial
* use. If Jigloo is being used commercially (ie, by a corporation,
* company or business for any purpose whatever) then you
* should purchase a license for each developer using Jigloo.
* Please visit www.cloudgarden.com for details.
* Use of Jigloo implies acceptance of these licensing terms.
* *************************************
* A COMMERCIAL LICENSE HAS NOT BEEN PURCHASED
* for this machine, so Jigloo or this code cannot be used legally
* for any corporate or commercial purpose.
* *************************************
*/
import javax.swing.JTextArea;
/**
 * @author Pazzaglia Marco
 * @version 1.0
 */


public class GuiSwing extends javax.swing.JFrame  implements ChartDataModelListener {
    
    JTextField windSpeed;
    JTextField windDir;
    JLabel RaffreddVento;
    JLabel gradi1;
    JLabel mmhr2;
    JLabel mmhr3;
    JTextField rainTotalYesterday;
    JTextField rainTotal;
    JLabel mmhr1;
    JTextField rain;
    JLabel ms1;
    JLabel gradi2;
    JLabel ms2;
    JTextField windChill;
    private JLabel jLabel1;
    private JLabel logo;
    private JTextField batt;
    private JProgressBar jProgressBarBatt;
    private JPanel jPanelblabla;
    private JPanel jPanelGraph;
    private JButton startOutAgent;
    private JButton stsrtExtraAgent;
    private JButton startInAgent;
    private JButton startServiceAgent;
    private JButton startRainAgent;
    private JButton startWindAgent;
    JPanel esterno;
    JPanel servizio;
    JPanel interno;
    JPanel sensoriExtra;
    JPanel precipitazioni;
    JPanel vento;
    JPanel statusBar;
    JTextField windSpeedMedia;
    JLabel VelocitaMedia;
    JLabel VelocitaVento;
    JLabel DirezioneVento;
    JPanel jPanelMain;
    JTextField time;
    JTextField lastRapp;
    JLabel gradi6;
    JLabel perc2;
    JLabel gradi5;
    JTextField outTemp;
    JTextField outHum;
    private JTextArea alarm;
    private JPanel alarmConsole;
    private JPanel jPanelWindDirection;
    JTextField outDew;
    JTextField inTendency;
    JLabel hpa2;
    JTextField port;
    JTextField packetRead;
    JTextField inPressSLM;
    JLabel hpa1;
    JLabel gradi8;
    JLabel perc3;
    JLabel gradi7;
    JTextField inTemp;
    JTextField inHum;
    JTextField inDew;
    JTextField inPress;
    JTextField extraDew;
    JLabel gradi4;
    JLabel perc1;
    JLabel gradi3;
    JLabel jLabel2;
    JLabel jLabel6;
    JLabel jLabel11;
    JLabel jLabel12;
    JLabel jLabel13;
    JLabel jLabel14;
    JLabel jLabel15;
    JLabel jLabel48;
    JLabel jLabel49;
    JLabel jLabel50;
    JLabel jLabel51;
    JLabel jLabel56;
    JLabel jLabel57;
    JLabel jLabel66;
    JLabel jLabel67;
    JLabel jLabel69;
    JLabel jLabel75;
    JLabel jLabel76;
    JLabel jLabel77;
    JLabel jLabel78;
    String packetTime="";
    JTextField extraHum;
    JTextField extraTemp;
    JMenuBar jMenuBar1;
    int count=0;
    double tempo = 3.0;
    ChartPanel chartPanelTemp;
    ChartPanel chartPanelHum;
    ChartPanel chartPanelWind;
    EditableChartDataModel dataTemp;
    // EditableChartDataModel dataHum;
    // EditableChartDataModel dataWind;
    MyDrawing drawing;
    String Label="";
    
    
    public GuiSwing() {
        
        this.setSize(854, 475);
        setTitle("WeatherMAS GUI v.1.2 - Pazzaglia Marco");
        {
            jPanelMain = new JPanel();
            this.getContentPane().add(jPanelMain, BorderLayout.CENTER);
            jPanelMain.setLayout(null);
            jPanelMain.setPreferredSize(new java.awt.Dimension(850, 460));
            jPanelMain.setFont(new java.awt.Font("Dialog", 2, 12));
            jPanelMain.setSize(846, 460);
        }
       
        ////////////////////////////////////////////////////////////////////////////
        //                STATUS BAR
        ////////////////////////////////////////////////////////////////////////////
        {
            statusBar = new JPanel();
            jPanelMain.add(statusBar);
            statusBar.setBounds(5, 422, 827, 24);
            statusBar.setBorder(BorderFactory.createBevelBorder(
                    BevelBorder.LOWERED,
                    null,
                    null,
                    null,
                    null));
            statusBar.setLayout(null);
            {
                jLabel67 = new JLabel();
                statusBar.add(jLabel67);
                jLabel67.setText("Timestamp ultimo pacchetto letto:");
                jLabel67.setBounds(20, 5, 197, 16);
                jLabel67.setPreferredSize(new java.awt.Dimension(197, 16));
            }
            {
                time = new JTextField();
                statusBar.add(time);
                time.setBounds(221, 5, 175, 16);
                time.setBackground(new java.awt.Color(238,238,238));
                time.setBorder(BorderFactory.createEmptyBorder(
                        0,
                        0,
                        0,
                        0));
                time.setPreferredSize(new java.awt.Dimension(318, 16));
                time.setAutoscrolls(false);
            }
        }
        
        
        ////////////////////////////////////////////////////////////////////////////
        //                VENTO
        ////////////////////////////////////////////////////////////////////////////
        {
            vento = new JPanel();
            jPanelMain.add(vento);
            vento.setLayout(null);
            vento.setBounds(10, 274, 242, 140);
            vento.setBorder(BorderFactory.createTitledBorder(null, "Vento", TitledBorder.LEADING, TitledBorder.TOP, new java.awt.Font("Dialog",1,12), new java.awt.Color(0,128,255)));
            {
                DirezioneVento = new JLabel();
                vento.add(DirezioneVento);
                DirezioneVento.setText("Direzione");
                DirezioneVento.setBounds(12, 22, 55, 20);
            }
            {
                VelocitaVento = new JLabel();
                vento.add(VelocitaVento);
                VelocitaVento.setText("Velocit");
                VelocitaVento.setBounds(12, 42, 50, 20);
            }
            {
                VelocitaMedia = new JLabel();
                vento.add(VelocitaMedia);
                VelocitaMedia.setText("Vel.media");
                VelocitaMedia.setBounds(12, 62, 60, 20);
            }
            {
                RaffreddVento = new JLabel();
                vento.add(RaffreddVento);
                RaffreddVento.setText("Raffreddam.");
                RaffreddVento.setBounds(12, 82, 70, 20);
            }
            {
                windDir = new JTextField();
                vento.add(windDir);
                windDir.setBounds(97, 22, 75, 20);
                windDir.setEditable(false);
            }
            {
                windSpeed = new JTextField();
                vento.add(windSpeed);
                windSpeed.setBounds(97, 42, 75, 20);
                windSpeed.setEditable(false);
            }
            {
                windSpeedMedia = new JTextField();
                vento.add(windSpeedMedia);
                windSpeedMedia.setBounds(97, 62, 75, 20);
                windSpeedMedia.setEditable(false);
            }
            {
                windChill = new JTextField();
                vento.add(windChill);
                windChill.setBounds(97, 82, 75, 20);
                windChill.setEditable(false);
            }
            {
                ms2 = new JLabel();
                vento.add(ms2);
                ms2.setText("m/s");
                ms2.setBounds(182, 62, 25, 15);
            }
            {
                gradi2 = new JLabel();
                vento.add(gradi2);
                gradi2.setText("C");
                gradi2.setBounds(182, 82, 15, 15);
            }
            {
                ms1 = new JLabel();
                vento.add(ms1);
                ms1.setText("m/s");
                ms1.setBounds(182, 42, 25, 15);
            }
            {
                gradi1 = new JLabel();
                vento.add(gradi1);
                gradi1.setText("");
                gradi1.setBounds(182, 22, 15, 15);
            }
            {
                startWindAgent = new JButton();
                vento.add(startWindAgent);
                startWindAgent.setText("Attiva monitor");
                startWindAgent.setBounds(29, 106, 191, 21);
                startWindAgent.setAutoscrolls(true);
                startWindAgent.setToolTipText("Attiva l'agente per la visualizzazione delle condizioni di vento");
                startWindAgent.addMouseListener(new MouseAdapter() {
                    public void mousePressed(MouseEvent evt) {
                        //                                try{Launch.launchViewInAgent();}catch (Exception e){}
                    }
                });
            }
        }
        
        
        ////////////////////////////////////////////////////////////////////////////
        //                PIOGGIA
        ////////////////////////////////////////////////////////////////////////////
        {
            precipitazioni = new JPanel();
            jPanelMain.add(precipitazioni);
            precipitazioni.setBorder(BorderFactory.createTitledBorder(null, "Precipitazioni", TitledBorder.LEADING, TitledBorder.TOP, new java.awt.Font("Dialog",1,12), new java.awt.Color(0,128,255)));
            precipitazioni.setLayout(null);
            precipitazioni.setBounds(256, 5, 242, 113);
            {
                jLabel6 = new JLabel();
                precipitazioni.add(jLabel6);
                jLabel6.setText("Tasso pioggia");
                jLabel6.setBounds(11, 22, 85, 20);
            }
            {
                rain = new JTextField();
                precipitazioni.add(rain);
                rain.setBounds(104, 22, 75, 20);
                rain.setEditable(false);
            }
            {
                mmhr1 = new JLabel();
                precipitazioni.add(mmhr1);
                mmhr1.setText("mm/hr");
                mmhr1.setBounds(187, 22, 40, 15);
            }
            {
                mmhr2 = new JLabel();
                precipitazioni.add(mmhr2);
                mmhr2.setText("mm");
                mmhr2.setBounds(187, 42, 40, 15);
            }
            {
                rainTotal = new JTextField();
                precipitazioni.add(rainTotal);
                rainTotal.setBounds(104, 42, 75, 20);
                rainTotal.setEditable(false);
            }
            {
                rainTotalYesterday = new JTextField();
                precipitazioni.add(rainTotalYesterday);
                rainTotalYesterday.setBounds(104, 62, 75, 20);
                rainTotalYesterday.setEditable(false);
            }
            {
                mmhr3 = new JLabel();
                precipitazioni.add(mmhr3);
                mmhr3.setText("mm");
                mmhr3.setBounds(187, 62, 40, 15);
            }
            {
                jLabel12 = new JLabel();
                precipitazioni.add(jLabel12);
                jLabel12.setText("Totale ieri");
                jLabel12.setBounds(11, 62, 60, 20);
            }
            {
                jLabel13 = new JLabel();
                precipitazioni.add(jLabel13);
                jLabel13.setText("Totale pioggia");
                jLabel13.setBounds(11, 42, 85, 20);
            }
            {
                startRainAgent = new JButton();
                precipitazioni.add(startRainAgent);
                startRainAgent.setText("Attiva monitor");
                startRainAgent
                .setToolTipText("Attiva l'agente per la visualizzazione delle condizioni di vento");
                startRainAgent.setAutoscrolls(true);
                startRainAgent.setBounds(28, 85, 191, 21);
                startRainAgent.addMouseListener(new MouseAdapter() {
                    public void mousePressed(MouseEvent evt) {
                        //                                try{Launch.launchViewRainAgent();}catch (Exception e){}
                    }
                });
            }
            
        }
        
        ////////////////////////////////////////////////////////////////////////////
        //                SENSORI EXTRA
        ////////////////////////////////////////////////////////////////////////////
        /*{
         sensoriExtra = new JPanel();
         jPanelMain.add(sensoriExtra);
         sensoriExtra.setBorder(BorderFactory.createTitledBorder(null, "Sensori Extra", TitledBorder.LEADING, TitledBorder.TOP, new java.awt.Font("Dialog",1,12), new java.awt.Color(0,128,255)));
         sensoriExtra.setLayout(null);
         sensoriExtra.setBounds(9, 278, 218, 137);
         
         {
         jLabel11 = new JLabel();
         sensoriExtra.add(jLabel11);
         jLabel11.setText("Temperatura");
         jLabel11.setBounds(12, 22, 75, 20);
         }
         {
         extraTemp = new JTextField();
         sensoriExtra.add(extraTemp);
         extraTemp.setBounds(97, 22, 75, 20);
         }
         {
         jLabel14 = new JLabel();
         sensoriExtra.add(jLabel14);
         jLabel14.setText("Umidit");
         jLabel14.setBounds(12, 42, 50, 20);
         }
         {
         jLabel15 = new JLabel();
         sensoriExtra.add(jLabel15);
         jLabel15.setText("Punto rugiada");
         jLabel15.setBounds(12, 62, 80, 20);
         }
         {
         extraHum = new JTextField();
         sensoriExtra.add(extraHum);
         extraHum.setBounds(97, 42, 75, 20);
         }
         {
         extraDew = new JTextField();
         sensoriExtra.add(extraDew);
         extraDew.setBounds(97, 62, 75, 20);
         }
         {
         gradi3 = new JLabel();
         sensoriExtra.add(gradi3);
         gradi3.setText("C");
         gradi3.setBounds(182, 22, 15, 15);
         }
         {
         perc1 = new JLabel();
         sensoriExtra.add(perc1);
         perc1.setText("%");
         perc1.setBounds(182, 42, 25, 15);
         }
         {
         gradi4 = new JLabel();
         sensoriExtra.add(gradi4);
         gradi4.setText("C");
         gradi4.setBounds(182, 62, 25, 15);
         }
         {
         stsrtExtraAgent = new JButton();
         sensoriExtra.add(stsrtExtraAgent);
         stsrtExtraAgent.setText("Attiva monitor");
         stsrtExtraAgent
         .setToolTipText("Attiva l'agente per la visualizzazione delle condizioni di vento");
         stsrtExtraAgent.setAutoscrolls(true);
         stsrtExtraAgent.setBounds(12, 105, 191, 21);
         stsrtExtraAgent.addMouseListener(new MouseAdapter() {
         public void mousePressed(MouseEvent evt) {
         System.out
         .println("stsrtExtraAgent.mousePressed, event="
         + evt);
         //TODO add your code for stsrtExtraAgent.mousePressed
          }
          });
          }
          
          }*/
        
        ////////////////////////////////////////////////////////////////////////////
        //                INTERNO
        ////////////////////////////////////////////////////////////////////////////
        {
            interno = new JPanel();
            jPanelMain.add(interno);
            interno.setBorder(BorderFactory.createTitledBorder(null, "Condizioni interne", TitledBorder.LEADING, TitledBorder.TOP, new java.awt.Font("Dialog",1,12), new java.awt.Color(0,128,255)));
            interno.setLayout(null);
            interno.setBounds(257, 235, 243, 179);
            {
                jLabel48 = new JLabel();
                interno.add(jLabel48);
                jLabel48.setText("Temperatura");
                jLabel48.setBounds(12, 20, 77, 20);
            }
            {
                jLabel49 = new JLabel();
                interno.add(jLabel49);
                jLabel49.setText("Umidit");
                jLabel49.setBounds(16, 43, 50, 20);
            }
            {
                jLabel50 = new JLabel();
                interno.add(jLabel50);
                jLabel50.setText("Punto rugiada");
                jLabel50.setBounds(15, 63, 81, 20);
            }
            {
                jLabel78 = new JLabel();
                interno.add(jLabel78);
                jLabel78.setText("Tendenza");
                jLabel78.setBounds(15, 104, 70, 20);
            }
            {
                jLabel69 = new JLabel();
                interno.add(jLabel69);
                jLabel69.setText("Pressione slm");
                jLabel69.setBounds(14, 125, 86, 20);
            }
            {
                jLabel51 = new JLabel();
                interno.add(jLabel51);
                jLabel51.setText("Pressione");
                jLabel51.setBounds(16, 85, 70, 20);
            }
            {
                inTendency = new JTextField();
                interno.add(inTendency);
                inTendency.setBounds(104, 102, 75, 20);
                inTendency.setEditable(false);
            }
            {
                inPressSLM = new JTextField();
                interno.add(inPressSLM);
                inPressSLM.setBounds(104, 122, 75, 20);
                inPressSLM.setEditable(false);
            }
            {
                inTemp = new JTextField();
                interno.add(inTemp);
                inTemp.setBounds(104, 22, 75, 20);
                inTemp.setEditable(false);
            }
            {
                inHum = new JTextField();
                interno.add(inHum);
                inHum.setBounds(104, 42, 75, 20);
                inHum.setEditable(false);
            }
            {
                inDew = new JTextField();
                interno.add(inDew);
                inDew.setBounds(104, 62, 75, 20);
                inDew.setEditable(false);
            }
            {
                inPress = new JTextField();
                interno.add(inPress);
                inPress.setBounds(104, 82, 75, 20);
                inPress.setEditable(false);
            }
            {
                hpa2 = new JLabel();
                interno.add(hpa2);
                hpa2.setText("hPa - mb");
                hpa2.setBounds(187, 124, 50, 15);
            }
            {
                hpa1 = new JLabel();
                interno.add(hpa1);
                hpa1.setText("hPa - mb");
                hpa1.setBounds(187, 84, 57, 15);
            }
            {
                gradi8 = new JLabel();
                interno.add(gradi8);
                gradi8.setText("C");
                gradi8.setBounds(187, 64, 25, 15);
            }
            {
                perc3 = new JLabel();
                interno.add(perc3);
                perc3.setText("%");
                perc3.setBounds(187, 44, 25, 15);
            }
            {
                gradi7 = new JLabel();
                interno.add(gradi7);
                gradi7.setText("C");
                gradi7.setBounds(187, 24, 15, 15);
            }
            {
                startInAgent = new JButton();
                interno.add(startInAgent);
                startInAgent.setText("Attiva monitor");
                startInAgent
                .setToolTipText("Attiva l'agente per la visualizzazione delle condizioni di vento");
                startInAgent.setAutoscrolls(true);
                startInAgent.setBounds(28, 148, 191, 21);
                startInAgent.addMouseListener(new MouseAdapter() {
                    public void mousePressed(MouseEvent evt) {
                        System.out
                        .println("startInAgent.mousePressed, event="
                                + evt);
                        //TODO add your code for startInAgent.mousePressed
                    }
                });
            }
            
            
        }
        
        ////////////////////////////////////////////////////////////////////////////
        //                MESSAGGI DI SERVIZIO
        ////////////////////////////////////////////////////////////////////////////
        {
            servizio = new JPanel();
            jPanelMain.add(servizio);
            servizio.setBorder(BorderFactory.createTitledBorder(null, "Messaggi di servizio", TitledBorder.LEADING, TitledBorder.TOP, new java.awt.Font("Dialog",1,12), new java.awt.Color(0,128,255)));
            servizio.setLayout(null);
            servizio.setBounds(10, 117, 240, 156);
            {
                jLabel2 = new JLabel();
                servizio.add(jLabel2);
                jLabel2.setText("Pacchetti letti");
                jLabel2.setBounds(8, 95, 86, 20);
            }
            {
                lastRapp = new JTextField();
                servizio.add(lastRapp);
                lastRapp.setBounds(97, 55, 126, 20);
                lastRapp.setEditable(false);
            }
            {
                jLabel56 = new JLabel();
                servizio.add(jLabel56);
                jLabel56.setText("Ultimo rapporto");
                jLabel56.setBounds(8, 54, 92, 20);
            }
            {
                jLabel57 = new JLabel();
                servizio.add(jLabel57);
                jLabel57.setText("Carica batteria");
                jLabel57.setBounds(8, 22, 86, 20);
            }
            {
                port = new JTextField();
                servizio.add(port);
                port.setBounds(97, 76, 126, 20);
                port.setText("COM1");
                port.setEditable(false);
            }
            {
                packetRead = new JTextField();
                servizio.add(packetRead);
                packetRead.setBounds(97, 96, 126, 20);
                packetRead.setEditable(false);
            }
            {
                jProgressBarBatt = new JProgressBar();
                servizio.add(jProgressBarBatt);
                jProgressBarBatt.setBounds(100, 22, 48, 21);
                jProgressBarBatt.setBorder(BorderFactory
                        .createEmptyBorder(0, 0, 0, 0));
            }
            {
                jLabel66 = new JLabel();
                servizio.add(jLabel66);
                jLabel66.setText("Porta usata");
                jLabel66.setBounds(8, 75, 86, 20);
            }
            {
                startServiceAgent = new JButton();
                servizio.add(startServiceAgent);
                startServiceAgent.setText("Attiva monitor");
                startServiceAgent.setToolTipText("Attiva l'agente per la visualizzazione delle condizioni di vento");
                startServiceAgent.setAutoscrolls(true);
                startServiceAgent.setBounds(30, 129, 191, 21);
                startServiceAgent.addMouseListener(new MouseAdapter() {
                    public void mousePressed(MouseEvent evt) {
                        System.out
                        .println("startServiceAgent.mousePressed, event="
                                + evt);
                        //TODO add your code for startServiceAgent.mousePressed
                    }
                });
            }
            {
                batt = new JTextField();
                servizio.add(batt);
                batt.setBounds(168, 24, 31, 18);
                batt.setBackground(new java.awt.Color(238,238,238));
                batt.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
            }
            {
                jLabel1 = new JLabel();
                servizio.add(jLabel1);
                jLabel1.setText("jLabel1");
                jLabel1.setBounds(93, 19, 65, 28);
                jLabel1.setIcon(new ImageIcon(getClass().getClassLoader().getResource("Images/battery.jpg")));
            }
        }
        {
            
            
            
            
            //////////////////////////////////////////////////////////////
            /////////////   chart temp in and out ////////////////////////
            //Init some starting data
            double[][] modelTemp = {{0.0, 0.1},
                    {0.0, 0.2}};
            
            double[] columnsTemp = {0.0, 0.1};
            
            String[] rowsTemp = {"IN", "OUT"};
            
            String titleTemp = "Temperature";
            
            // Create an editable chart data model
            dataTemp = new EditableChartDataModel(modelTemp, columnsTemp, rowsTemp);
            chartPanelTemp = new ChartPanel(dataTemp, titleTemp, DefaultChart.LINEAR_X_LINEAR_Y);
            chartPanelTemp.addChartRenderer(new LineChartRenderer(chartPanelTemp.getCoordSystem(), dataTemp), 1);
            chartPanelTemp.setBorder(new SoftBevelBorder(BevelBorder.LOWERED, null, null, null, null));
            chartPanelTemp.setBounds(504, 15, 336, 198);
            jPanelMain.add(chartPanelTemp);
            dataTemp.addChartDataModelListener(this);                    
            /////////////////////////////////////////////////////////////
            //////////////////////////////////////////////////////////////
            
            
            //////////////////////////////////////////////////////////////
            ///////////////   chart umidita in and out    ////////////////
            //Init some starting data
            /*double[][] modelHum = {{0.0, 0.1},
             {0.0, 0.2}};
             
             double[] columnsHum = {0.0, 0.1};
             
             String[] rowsHum = {"IN", "OUT"};
             
             String titleHum = "Umidit";
             
             // Create an editable chart data model
              dataHum = new EditableChartDataModel(modelHum, columnsHum, rowsHum);
              chartPanelHum = new ChartPanel(dataHum, titleHum, DefaultChart.LINEAR_X_LINEAR_Y);
              chartPanelHum.addChartRenderer(new LineChartRenderer(chartPanelTemp.getCoordSystem(), dataHum), 1);
              chartPanelHum.setBorder(new SoftBevelBorder(BevelBorder.LOWERED, null, null, null, null));
              chartPanelHum.setBounds(494, 370, 346, 198);
              jPanelMain.add(chartPanelHum);
              dataHum.addChartDataModelListener(this);  */                  
            /////////////////////////////////////////////////////////////
            //////////////////////////////////////////////////////////////
            
            ////////////////////////////////////////////////////////////////////////////
            //                ESTERNO
            ////////////////////////////////////////////////////////////////////////////
            esterno = new JPanel();
            jPanelMain.add(esterno);
            esterno.setBorder(BorderFactory.createTitledBorder(null, "Condizioni esterne", TitledBorder.LEADING, TitledBorder.TOP, new java.awt.Font("Dialog",1,12), new java.awt.Color(0,128,255)));
            esterno.setLayout(null);
            esterno.setBounds(257, 117, 242, 119);
            {
                jLabel75 = new JLabel();
                esterno.add(jLabel75);
                jLabel75.setText("Temperatura");
                jLabel75.setBounds(8, 23, 76, 20);
            }
            {
                jLabel76 = new JLabel();
                esterno.add(jLabel76);
                jLabel76.setText("Umidit");
                jLabel76.setBounds(8, 43, 50, 20);
            }
            {
                jLabel77 = new JLabel();
                esterno.add(jLabel77);
                jLabel77.setText("Punto rugiada");
                jLabel77.setBounds(8, 63, 83, 20);
            }
            {
                outTemp = new JTextField();
                esterno.add(outTemp);
                outTemp.setBounds(95, 24, 75, 20);
                outTemp.setEditable(false);
            }
            {
                outHum = new JTextField();
                esterno.add(outHum);
                outHum.setBounds(95, 44, 75, 20);
                outHum.setEditable(false);
            }
            {
                outDew = new JTextField();
                esterno.add(outDew);
                outDew.setBounds(95, 64, 75, 20);
                outDew.setEditable(false);
            }
            {
                gradi6 = new JLabel();
                esterno.add(gradi6);
                gradi6.setText("C");
                gradi6.setBounds(179, 67, 25, 15);
            }
            {
                perc2 = new JLabel();
                esterno.add(perc2);
                perc2.setText("%");
                perc2.setBounds(179, 47, 25, 15);
            }
            {
                gradi5 = new JLabel();
                esterno.add(gradi5);
                gradi5.setText("C");
                gradi5.setBounds(179, 27, 15, 15);
            }
            {
                startOutAgent = new JButton();
                esterno.add(startOutAgent);
                startOutAgent.setText("Attiva monitor");
                startOutAgent.setToolTipText("Attiva l'agente per la visualizzazione delle condizioni di vento");
                startOutAgent.setAutoscrolls(true);
                startOutAgent.setBounds(30, 88, 191, 21);
                startOutAgent.addMouseListener(new MouseAdapter() {
                    public void mousePressed(MouseEvent evt) {
                        System.out
                        .println("startOutAgent.mousePressed, event="
                                + evt);
                        //TODO add your code for startOutAgent.mousePressed
                    }
                });
            }
            
            
            
            
        }
        
        ////////////////////////////////////////////////////////////////////////////
        //                LOGO
        ////////////////////////////////////////////////////////////////////////////
        {
            logo = new JLabel();
            jPanelMain.add(logo);
            logo.setBounds(22, 17, 224, 91);
            logo.setIcon(new ImageIcon(getClass().getClassLoader().getResource("Images/logo.jpg")));
        }
        {
            alarmConsole = new JPanel();
            jPanelMain.add(alarmConsole);
            alarmConsole.setBounds(508, 234, 323, 180);
            alarmConsole.setBorder(BorderFactory.createTitledBorder(null, "Alarm Console", TitledBorder.LEADING, TitledBorder.TOP, new java.awt.Font("Dialog",1,12), new java.awt.Color(51,51,51)));
            {
                alarm = new JTextArea();
                alarmConsole.add(alarm);
                alarm.setPreferredSize(new java.awt.Dimension(304, 143));
                alarm.setBackground(new java.awt.Color(192,192,192));
                alarm.setToolTipText("Visualizza gli allarmi rilevati e lanciati dagli agenti");
            }
        }

    }
    
    
    /**
     * This void sets the fields of the gui by passing the packet type and the content to change
     * @param packetType the type of the packet that I have
     * @param packetDescr an array containing the content of the fields to change according to the previous given packet type
     */
    public void setField(int packetType, String[] packetDescr){
        switch(packetType){
        case 0:		
            windDir.setText(packetDescr[0]);
            windSpeed.setText(packetDescr[1]);
            windSpeedMedia.setText(packetDescr[2]);
            windChill.setText(packetDescr[3]);
            break;
            
        case 2:		
            rain.setText(packetDescr[0]);
	        rainTotal.setText(packetDescr[1]);
	        rainTotalYesterday.setText(packetDescr[2]);
        
        break;
        case 3:		
            extraTemp.setText(packetDescr[0]);
	        extraHum.setText(packetDescr[1]);
	        extraDew.setText(packetDescr[2]);
        
        break;
        case 4:		
            outTemp.setText(packetDescr[0]);
	        outHum.setText(packetDescr[1]);
	        outDew.setText(packetDescr[2]);
        try {
            Label = inTemp.getText();
            dataTemp.insertValue(0, new Double(inTemp.getText()), new Double(tempo));
            dataTemp.insertValue(1, new Double(packetDescr[0]), new Double(tempo));
            //dataHum.insertValue(0, new Double(inHum.getText()), new Double(tempo));
            // dataHum.insertValue(1, new Double(packetDescr[1]), new Double(tempo));
            tempo++;
            
        } catch(Exception ex){}
        
        break;
        case 5:		
            inTemp.setText(packetDescr[0]);
            inHum.setText(packetDescr[1]);
            inDew.setText(packetDescr[2]);
            inPress.setText(packetDescr[3]);
            inTendency.setText(packetDescr[4]);
            inPressSLM.setText(packetDescr[5]);
            try {
                Label = outTemp.getText();
                dataTemp.insertValue(0, new Double(packetDescr[0]), new Double(tempo));
                dataTemp.insertValue(1, new Double(outTemp.getText()), new Double(tempo));
                //  dataHum.insertValue(0, new Double(packetDescr[1]), new Double(tempo));
                // dataHum.insertValue(1, new Double(inHum.getText()), new Double(tempo));
                tempo++;
                
            } catch(Exception ex){}
            
            break;
        case 6:		
            break;
        case 14:	
            batt.setText(""+((10-Integer.parseInt(packetDescr[0]))*10)+"%");
            jProgressBarBatt.setValue(100-Integer.parseInt(packetDescr[0])*10);
        break;
        case 15:	
            lastRapp.setText(packetDescr[0]+":00 - "+packetDescr[1]+"/"+packetDescr[2]+"/"+packetDescr[3]);
        break;
        case 16:
            //allarmi vento
            if (packetDescr[0].compareTo("0")==0){
                alarm.append("Vento calmo\n");
                }else{
                    alarm.append("Vento sostenuto: "+packetDescr[0]+" m/s\n");
             }
            if (packetDescr[1].compareTo("0")==0){
                alarm.append("Raffiche assenti\n");
                }else{
                    alarm.append("Raffiche forti: "+packetDescr[1]+" m/s\n");
             }
            
            
            //allarmi pioggia
            if (packetDescr[2].compareTo("0")==0){
                alarm.append("Precipitazioni scarse o assenti\n");
                }else{
                    alarm.append("Pioggia battente: "+packetDescr[2]+" mm/h\n");
             }
            if (packetDescr[3].compareTo("0")==0){
                alarm.append("Pioggia costante\n");
                }else{
                    alarm.append("Scrosci notevoli: "+packetDescr[3]+" mm/h\n");
             }
            
            
            //allarmi pressione
            if (packetDescr[4].compareTo("0")==0){
                alarm.append("Pressione stabile\n");
                }else{
                    alarm.append("Variazioni di pressione notevoli: "+packetDescr[4]+" hPa\n");
             }
            if (packetDescr[5].compareTo("0")==0){
                alarm.append("Calo pressione costante\n");
                }else{
                    alarm.append("Forti sbalzi di pressione: "+packetDescr[5]+" hPa\n");
             }
            
        break;
        default:
        }  
    }
    
    /**
     * This void update the counter of the packet parsed
     */
    public void updatePacketCount(){
        count++;
        packetRead.setText(""+count);
    }
    
    /**
     * This void update the packet time stamp
     * @param data the data to write
     */
    public void updateCurrentPacketTime(String data){
        //DateFormat ("dd MMMM yyyy - HH:mm.ss")
        time.setText(data.substring(1,data.length()-1));
    }
    
    
    public void chartDataChanged(ChartDataModelEvent evt) {
        // The DataModel changed -> update display
        chartPanelTemp.revalidate();
        //chartPanelHum.revalidate();
        repaint();
    }
    
	/**
	* Auto-generated method for setting the popup menu for a component
	*/
    private void setComponentPopupMenu(
        final java.awt.Component parent,
        final javax.swing.JPopupMenu menu) {
        parent.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent e) {
                if (e.isPopupTrigger())
                    menu.show(parent, e.getX(), e.getY());
            }
            public void mouseReleased(java.awt.event.MouseEvent e) {
                if (e.isPopupTrigger())
                    menu.show(parent, e.getX(), e.getY());
            }
        });
    }

}